﻿using System;
using System.Windows.Forms;
using System.IO;

namespace Logofatu
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main()
        {    
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            const String FileInputName = "iteration.in";           
            StreamReader sr = null;
            try
            {
                sr = new StreamReader(FileInputName);
                int numIterations = int.Parse(sr.ReadLine());
                Application.Run(new P12Koch(numIterations));
            }
            catch (IOException ex )
            {
                MessageBox.Show("Fehler bei der Dateiverarbeitung!\n" + ex);               
            }
            finally
            {
                if ( sr != null )
                {
                    sr.Close();
                }
            }            
        }
    }
}
